slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGetArray

Returns a pointer to the internal array of one of the matrices. You MUST call DSRestoreArray() when you no longer need to access the array.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetArray(DS ds,DSMatType m,PetscScalar *a[])

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix

### Output Parameter

| a | - pointer to the values

### Note

To get read-only access, use DSGetMat() followed by MatDenseGetArrayRead().

### See Also

DSRestoreArray(), DSGetArrayReal()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages